<div *ngIf="user else loading_screen" class="container-fluid">
  <div class="row justify-content-center">
    <div class="col-lg-3 col-md-3 pl-lg-0 pl-md-0">

      <div class="card rounded-0 mb-4">
        <div class="card-header">
          <img [src]="user.profile_path" class=" profile-user-img img-circle" alt="user">
          <h4 class="text-center mt-2">{{ user.getFullname() }}</h4>
          <p class="text-center">{{ user.getUserType() }}</p>
        </div>
        <div class="card-body px-3 pt-2 pb-1">
          <ul class="list-group list-group-flush">
            <li class="list-group-item px-0">
              <b>Followers</b>
              <a class="float-right">1000</a>
            </li>
            <li class="list-group-item px-0">
              <b>Following</b>
              <a class="float-right">1000</a>
            </li>
          </ul>
        </div>
      </div>

      <div class="box box-primary rounded-0 mb-0">

        <div class="box-body">
          <ul class="list-group list-group-unbordered">
            <li class="list-group-item border-top-0">
              <b>Exams</b>
              <a class="pull-right">{{ exams.length }}</a>
            </li>
            <li class="list-group-item">
              <b>Quizzes</b>
              <a class="pull-right">{{ quizzes.length }}</a>
            </li>
            <li class="list-group-item border-bottom-0">
              <b>Homeworks</b>
              <a class="pull-right">{{ homeworks.length }}</a>
            </li>
            <li class="list-group-item border-bottom-0">
              <b>Excercises</b>
              <a class="pull-right">{{ exercises.length }}</a>
            </li>
          </ul>
        </div>
      </div>
    </div>

    <div class="col-lg-9 col-md-6 col-sm-9 col-9">
      <div class="row">

        <div class="col-md-3 pl-0 pr-0">
          <div class="small-box bg-white custom-text-1">
            <div class="inner">
              <h3>{{ getAvailableQEH(QEH_type.EXAM).length }}</h3>

              <p>{{ getAvailableQEH(QEH_type.EXAM).length === 1 ? 'Examination' : 'Examinations' }}</p>
            </div>
            <div class="icon">
              <i class="fa fa-list-ul custom-text-1"></i>
            </div>
            <a href="#" routerLink="/student/exams" class="small-box-footer custom-bg-1">More info <i class="fa fa-arrow-circle-right"></i></a>
          </div>
        </div>

        <div class="col-md-3 pr-0">
          <div class="small-box bg-white custom-text-1">
            <div class="inner">
              <h3>{{ getAvailableQEH(QEH_type.QUIZ).length }}</h3>

              <p>{{ getAvailableQEH(QEH_type.QUIZ).length === 1 ? 'Quiz' : 'Quizzes' }}</p>
            </div>
            <div class="icon">
              <i class="fa fa-file-text-o custom-text-1"></i>
            </div>
            <a href="#" routerLink="/student/quizzes" class="small-box-footer custom-bg-1">More info <i class="fa fa-arrow-circle-right"></i></a>
          </div>
        </div>

        <div class="col-md-3 pr-0">
          <div class="small-box bg-white custom-text-1">
            <div class="inner">
              <h3>{{ getAvailableQEH(QEH_type.HOMEWORK).length }}</h3>


              <p>{{ getAvailableQEH(QEH_type.HOMEWORK).length === 1 ? 'Homework' : 'Homeworks' }}</p>
            </div>
            <div class="icon">
              <i class="fa fa-file-archive-o custom-text-1"></i>
            </div>
            <a href="#" routerLink="/student/homeworks" class="small-box-footer custom-bg-1">More info <i class="fa fa-arrow-circle-right"></i></a>
          </div>
        </div>

        <div class="col-md-3 pr-0">
          <div class="small-box bg-white custom-text-1">
            <div class="inner">
              <h3>{{ getAvailableQEH(QEH_type.EXERCISE).length }}</h3>


              <p>{{ getAvailableQEH(QEH_type.EXERCISE).length === 1 ? 'Exercise' : 'Exercises' }}</p>
            </div>
            <div class="icon">
              <i class="fa fa-bicycle custom-text-1"></i>
            </div>
            <a href="#" routerLink="/student/exercises" class="small-box-footer custom-bg-1">More info <i class="fa fa-arrow-circle-right"></i></a>
          </div>
        </div>


        <div class="box box-primary mb-0 rounded-0 ">

          <div class="box-body p-0">
            <ngx-datatable #tblSubject class="material" [rows]="QEHs" [loadingIndicator]="loading" [columnMode]="'force'" [headerHeight]="45"
              [footerHeight]="40" [rowHeight]="'auto'" [limit]="10">

              <ngx-datatable-column [width]="90" prop="q_e_h.qeh_code" name="QEH code" [headerClass]="'pl-3'">
                <ng-template let-row="row" ngx-datatable-cell-template>
                  <a href="#" class="pl-2" [routerLink]="['student/qeh',row.id]">{{ row.q_e_h.qeh_code }}</a>
                </ng-template>
              </ngx-datatable-column>
              <ngx-datatable-column [width]="100" prop="q_e_h.qeh_type_str" name="Type"></ngx-datatable-column>
              <ngx-datatable-column [width]="160" prop="q_e_h.release_time" name="Release date">
                <ng-template let-row="row" ngx-datatable-cell-template>
                  {{ row.q_e_h.release_date }} @ {{ row.q_e_h.release_time }}
                </ng-template>
              </ngx-datatable-column>
              <ngx-datatable-column [width]="160" prop="q_e_h.end_time" name="End date">
                <ng-template let-row="row" ngx-datatable-cell-template>
                  {{ row.q_e_h.end_date }} @ {{ row.q_e_h.end_time }}
                </ng-template>
              </ngx-datatable-column>
              <ngx-datatable-column [width]="160" prop="q_e_h.teacher.full_name" name="Teacher">
                <ng-template let-row="row" ngx-datatable-cell-template>
                  {{ row.q_e_h.teacher.full_name }}
                </ng-template>
              </ngx-datatable-column>
              <ngx-datatable-column [width]="100" prop="status_str" name="Status"></ngx-datatable-column>


            </ngx-datatable>
          </div>
        </div>
      </div>

    </div>
  </div>
</div>

<ng-template #loading_screen>
  <app-loading></app-loading>
</ng-template>